Last Comment Bug 327076 - mozilla/tools/update-packaging/unwrap_full_update.sh ignores paths with spaces in them
: mozilla/tools/update-packaging/unwrap_full_update.sh ignores paths with space...
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 Linux
: P2 normal (vote)
: ---
Assigned To: Chris Cooper [:coop] [away until Aug 29]
:
Mentors:
Depends on:
Blocks: 604752
  Show dependency treegraph
 
Reported: 2006-02-13 16:50 PST by J. Paul Reed [:preed]
Modified: 2013-08-12 21:54 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.13-fixed
.16-fixed


Attachments
Use perl script to unwrap mars for nightlies (2.04 KB, patch)
2010-09-09 09:11 PDT, Chris Cooper [:coop] [away until Aug 29]
nthomas: review+
coop: checked‑in+
Details | Diff | Splinter Review
Remove the unwrap shell script [mozilla-central] (1.59 KB, patch)
2010-09-09 09:23 PDT, Chris Cooper [:coop] [away until Aug 29]
nthomas: review+
dveditz: approval1.9.2.11-
dveditz: approval1.9.2.13+
dveditz: approval1.9.1.14-
dveditz: approval1.9.1.16+
Details | Diff | Splinter Review
Remove the unwrap shell script [mozilla-1.9.2] (1.59 KB, patch)
2010-09-09 09:24 PDT, Chris Cooper [:coop] [away until Aug 29]
no flags Details | Diff | Splinter Review
Remove the unwrap shell script [mozilla-1.9.1] (1.59 KB, patch)
2010-09-09 09:24 PDT, Chris Cooper [:coop] [away until Aug 29]
no flags Details | Diff | Splinter Review

Description J. Paul Reed [:preed] 2006-02-13 16:50:18 PST
unwrap_full_update.sh has indigestion with file paths with spaces in them (Mac OS X files).

In unwrap_full_update.sh's case, you get (with some logging added):
  decompressing Firefox.app/Contents/MacOS/plugins/Default
mv: cannot stat `Firefox.app/Contents/MacOS/plugins/Default': No such file or di
rectory
bzip2: Can't open input file Firefox.app/Contents/MacOS/plugins/Default.bz2: No 
such file or directory.
  decompressing Plugin.plugin/Contents/Resources/Default
mv: cannot stat `Plugin.plugin/Contents/Resources/Default': No such file or dire
ctory
bzip2: Can't open input file Plugin.plugin/Contents/Resources/Default.bz2: No su
ch file or directory.
  decompressing Plugin.rsrc
mv: cannot stat `Plugin.rsrc': No such file or directory
bzip2: Can't open input file Plugin.rsrc.bz2: No such file or directory.

(the full path is actually: "Firefox.app/Contents/MacOS/plugins/Default Plugin.plugin/Contents/Resources/Default")
Comment 1 Nick Thomas [:nthomas] 2006-05-19 09:49:55 PDT
Fixed by unwrap_full_update.pl

Checkin details:

revision 1.1
date: 2006/02/13 20:44:38;  author: benjamin%smedbergs.us;  state: Exp;
From bug 326465 - make unwrap_full_update space-aware (rewrite in perl for ease of coding and maintenance)

Perhaps CVS removal of unwrap_full_update.sh would be a good idea ? Or some documentation in the shell script indicating limitations at least.
Comment 2 John Ford [:jhford] 2010-09-07 13:15:32 PDT
As per comment 1, it looks like this bug is fixed.  Please reopen if this is not the case.
Comment 3 Nick Thomas [:nthomas] 2010-09-07 18:03:11 PDT
I don't see any checkins (CVS trunk or m-c) that indicate unwrap_full_update.sh has been fixed or removed. And in fact we are using it for our partial generation in nightlies builds, and are saved by plugins/Default Plugins getting deprecated. Really we should switch to unwrap_full_update.pl and remove the shell script. Got time for that coop ?
Comment 4 Chris Cooper [:coop] [away until Aug 29] 2010-09-08 06:42:15 PDT
(In reply to comment #3)
> Got time for that coop ?

Yeah, I'll try to get to it later in the week.
Comment 5 Chris Cooper [:coop] [away until Aug 29] 2010-09-09 09:11:54 PDT
Created attachment 473582 [details] [diff] [review]
Use perl script to unwrap mars for nightlies
Comment 6 Chris Cooper [:coop] [away until Aug 29] 2010-09-09 09:23:34 PDT
Created attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]
Comment 7 Chris Cooper [:coop] [away until Aug 29] 2010-09-09 09:24:07 PDT
Created attachment 473586 [details] [diff] [review]
Remove the unwrap shell script [mozilla-1.9.2]
Comment 8 Chris Cooper [:coop] [away until Aug 29] 2010-09-09 09:24:36 PDT
Created attachment 473587 [details] [diff] [review]
Remove the unwrap shell script [mozilla-1.9.1]
Comment 9 Nick Thomas [:nthomas] 2010-09-15 22:13:14 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

Just ask for approval for all the branches on this patch.
Comment 10 Chris Cooper [:coop] [away until Aug 29] 2010-09-20 08:06:13 PDT
Comment on attachment 473582 [details] [diff] [review]
Use perl script to unwrap mars for nightlies

http://hg.mozilla.org/build/buildbotcustom/rev/a70b38b40088
Comment 11 Chris Cooper [:coop] [away until Aug 29] 2010-09-20 08:09:31 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

This is a pure script removal, is NPOTB, and I can kill my own builds immediately after landing to prevent tying up machines.
Comment 12 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-09-28 22:14:37 PDT
"approval2.0+" granted in email.

> On 9/22/10 7:18 PM, Mike Beltzner wrote:
>> Fine with me.
>>
>> John O'Duinn <joduinn@mozilla.com> wrote:
>> hi;
>> This is NPOTB - can we land this, or do we need approval?
>>
Comment 13 Ben Hearsum (:bhearsum) 2010-10-01 14:14:24 PDT
The portion of this bug that required a reconfig already landed. Removing needs-reconfig+ -- coop, I'll leave it to you to land the remaining patch in mozilla-*
Comment 14 Daniel Veditz [:dveditz] 2010-10-04 10:11:08 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

Missed the 1.9.2.11/1.9.1.14 releases
Comment 15 Chris Cooper [:coop] [away until Aug 29] 2010-10-06 10:28:02 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

Try to get on the next release train now that I'm back from vacation.
Comment 16 Daniel Veditz [:dveditz] 2010-10-08 10:16:58 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

Approved for 1.9.2.12 and 1.9.1.15, a=dveditz for release-drivers

Landing sooner than later in the release would be appreciated.
Comment 17 Chris Cooper [:coop] [away until Aug 29] 2010-10-12 09:14:07 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/7aeadba259be
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/5bb0828aefe6

NPOTB, so triggered builds were canceled immediately.
Comment 18 Chris Cooper [:coop] [away until Aug 29] 2010-10-14 09:24:41 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

Removing approval request. This is NPOTB.
Comment 19 Chris Cooper [:coop] [away until Aug 29] 2010-10-14 09:50:50 PDT
Comment on attachment 473585 [details] [diff] [review]
Remove the unwrap shell script [mozilla-central]

http://hg.mozilla.org/mozilla-central/rev/e68b8f1399bd
Comment 20 Frank Wein [:mcsmurf] 2010-10-15 06:55:36 PDT
This removal broke the SeaMonkey nightly tinderboxen:
bash -c /builds/slave/comm-central-trunk-linux64-nightly/build/mozilla/tools/update-packaging/unwrap_full_update.sh ../dist/update/seamonkey-2.1b2pre.en-US.linux-x86_64.complete.mar

What should this command be replaced with? The perl version of that script?
Comment 21 Frank Wein [:mcsmurf] 2010-10-15 07:00:19 PDT
Oh nevermind, guess we just need to apply that patch to our config.
Comment 22 Justin Wood (:Callek) (Away until Aug 29) 2010-10-16 19:10:44 PDT
Comment on attachment 473582 [details] [diff] [review]
Use perl script to unwrap mars for nightlies

http://hg.mozilla.org/build/buildbotcustom/rev/70e4b33de199

Note You need to log in before you can comment on or make changes to this bug.